OpenNMS API 1.2.9

## org.opennms.web.category
Class CategoryNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.opennms.web.category.CategoryNotFoundException

All Implemented Interfaces:
  java.io.Serializable

public class CategoryNotFoundException
extends java.lang.RuntimeException

See Also:
  Serialized Form

Field Summary
`protected java.lang.String` `category`

Fields inherited from class java.lang.RuntimeException
``

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`CategoryNotFoundException(java.lang.String category)`

Method Summary
`java.lang.String` `getCategory()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### category

    protected java.lang.String category

Constructor Detail

### CategoryNotFoundException

    public CategoryNotFoundException(java.lang.String category)

Method Detail

### getCategory

    public java.lang.String getCategory()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.